rpmQVKArguments_s Struct Reference
I/O » Command Line API.

Describe query/verify/signature command line operation. More...

`#include <rpmcli.h>`

Collaboration diagram for rpmQVKArguments_s:
[legend]

## Data Fields

rpmQVSources | qva_source
int | qva_sourceCount
rpmQueryFlags | qva_flags
rpmfileAttrs | qva_fflags
QVF_t | qva_showPackage
QSpecF_t | qva_specQuery
char * | qva_queryFormat
char | qva_mode

## Detailed Description

Describe query/verify/signature command line operation.

Definition at line 184 of file rpmcli.h.

## Field Documentation

## qva_fflags

rpmfileAttrs rpmQVKArguments_s::qva_fflags

Bit(s) to filter on attribute.

Definition at line 188 of file rpmcli.h.

## qva_flags

rpmQueryFlags rpmQVKArguments_s::qva_flags

Bit(s) to control operation.

Definition at line 187 of file rpmcli.h.

## qva_mode

char rpmQVKArguments_s::qva_mode

- 'q' from –query, -q
- 'Q' from –querytags
- 'V' from –verify, -V
- 'I' from –import
- 'K' from –checksig, -K

Definition at line 193 of file rpmcli.h.

## qva_queryFormat

char* rpmQVKArguments_s::qva_queryFormat

Format for headerFormat().

Definition at line 192 of file rpmcli.h.

## qva_showPackage

QVF_t rpmQVKArguments_s::qva_showPackage

Function to display iterator matches.

Definition at line 190 of file rpmcli.h.

## qva_source

rpmQVSources rpmQVKArguments_s::qva_source

Identify CLI arg type.

Definition at line 185 of file rpmcli.h.

## qva_sourceCount

int rpmQVKArguments_s::qva_sourceCount

Exclusive option check (>1 is error).

Definition at line 186 of file rpmcli.h.

## qva_specQuery

QSpecF_t rpmQVKArguments_s::qva_specQuery

Function to query spec file.

Definition at line 191 of file rpmcli.h.

The documentation for this struct was generated from the following file:

- rpmcli.h